Errors when installing Komodo on Ubuntu

When trying to install freshly downloaded Komodo, I receive the following error output (copied verbatim, including the special characters):

(trusty)fuzzy@localhost:~/Downloads/Komodo-IDE-8.5.4-86985-linux-x86$ sudo ./install.sh
./INSTALLDIR/lib/python/bin/python2.7: 1: ./INSTALLDIR/lib/python/bin/python2.7:
4: not found
./INSTALLDIR/lib/python/bin/python2.7: 2: ./INSTALLDIR/lib/python/bin/python2.7: ELF��4���Y[��e: not found
./INSTALLDIR/lib/python/bin/python2.7: 2: ./INSTALLDIR/lib/python/bin/python2.7: 0���4@���PzR: not found
./INSTALLDIR/lib/python/bin/python2.7: 2: ./INSTALLDIR/lib/python/bin/python2.7:e
C�����������@P[hr� ������B
�����oh�����: not found X�
./INSTALLDIR/lib/python/bin/python2.7: 3: ./INSTALLDIR/lib/python/bin/python2.7: Syntax error: word unexpected (expecting “)”)
(trusty)fuzzy@localhost:~/Downloads/Komodo-IDE-8.5.4-86985-linux-x86$

All files and folders do exist.
Not really sure where to go from here…

ls -l when you are in the directory with the installation file (install.sh).

(trusty)fuzzy@localhost:~/Downloads/Komodo-IDE-8.5.4-86985-linux-x86$ ls -l
total 156
drwxr-xr-x 5 fuzzy fuzzy 4096 Aug 13 2014 INSTALLDIR
-rw-r–r-- 1 fuzzy fuzzy 24662 Aug 13 2014 install.html
-rwxr-xr-x 1 fuzzy fuzzy 1278 Aug 13 2014 install.sh
-rw-r–r-- 1 fuzzy fuzzy 16717 Aug 13 2014 license.txt
-rw-r–r-- 1 fuzzy fuzzy 65262 Aug 13 2014 relnotes.html
drwxr-xr-x 2 fuzzy fuzzy 4096 Aug 13 2014 support
(trusty)fuzzy@localhost:~/Downloads/Komodo-IDE-8.5.4-86985-linux-x86$

Did you download the 32-bit version, but have a 64-bit OS? You can check your OS architecture by running uname -a.

Samsung Chromebook 2 running Ubuntu:

uname -a results:

Linux localhost 3.8.11 #1 SMP Mon Mar 2 06:44:22 PST 2015 armv7l armv7l armv7l GNU/Linux

This is how looks my uname -a: Linux defman 3.13.0-46-generic #77-Ubuntu SMP Mon Mar 2 18:23:39 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
So I sure armv7l is not supported by Komodo installer, you have to build it manually. http://askubuntu.com/questions/496020/unable-to-install-software-with-armv7l-architecture-xubuntu-13-10

or uname -m to get only the architecture.

I will give that a try and see how it goes.

Thanks for the help. :slight_smile: